Package com.sap.ai.sdk.core.model

# Class AiDeploymentModificationRequest

java.lang.Object
com.sap.ai.sdk.core.model.AiDeploymentModificationRequest

public class AiDeploymentModificationRequest extends Object
Request object for changing the target status of a deployment (currently only STOPPED is supported)

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AiDeploymentModificationRequest()`
  Default constructor for AiDeploymentModificationRequest.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AiDeploymentModificationRequest`
  `configurationId(String configurationId)`
  Set the configurationId of this `AiDeploymentModificationRequest` instance and return the same instance.
  `static AiDeploymentModificationRequest`
  `create()`
  Create a new `AiDeploymentModificationRequest` instance.
  `boolean`
  `equals(Object o)`
  `String`
  `getConfigurationId()`
  ID of the configuration
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `AiDeploymentModificationRequest`.
  `AiDeploymentTargetStatus`
  `getTargetStatus()`
  Get targetStatus
  `int`
  `hashCode()`
  `void`
  `setConfigurationId(String configurationId)`
  Set the configurationId of this `AiDeploymentModificationRequest` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `AiDeploymentModificationRequest` instance.
  `void`
  `setTargetStatus(AiDeploymentTargetStatus targetStatus)`
  Set the targetStatus of this `AiDeploymentModificationRequest` instance.
  `AiDeploymentModificationRequest`
  `targetStatus(AiDeploymentTargetStatus targetStatus)`
  Set the targetStatus of this `AiDeploymentModificationRequest` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `AiDeploymentModificationRequest` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AiDeploymentModificationRequest

    protected AiDeploymentModificationRequest()
    Default constructor for AiDeploymentModificationRequest.

- ## Method Details

  - ### targetStatus

    @Nonnull public AiDeploymentModificationRequest targetStatus(@Nullable AiDeploymentTargetStatus targetStatus)
    Set the targetStatus of this `AiDeploymentModificationRequest` instance and return the same instance.
    Parameters:
      `targetStatus` - The targetStatus of this `AiDeploymentModificationRequest`
    Returns:
      The same instance of this `AiDeploymentModificationRequest` class

  - ### getTargetStatus

    @Nonnull public AiDeploymentTargetStatus getTargetStatus()
    Get targetStatus
    Returns:
      targetStatus The targetStatus of this `AiDeploymentModificationRequest` instance.

  - ### setTargetStatus

    public void setTargetStatus(@Nullable AiDeploymentTargetStatus targetStatus)
    Set the targetStatus of this `AiDeploymentModificationRequest` instance.
    Parameters:
      `targetStatus` - The targetStatus of this `AiDeploymentModificationRequest`

  - ### configurationId

    @Nonnull public AiDeploymentModificationRequest configurationId(@Nullable String configurationId)
    Set the configurationId of this `AiDeploymentModificationRequest` instance and return the same instance.
    Parameters:
      `configurationId` - ID of the configuration
    Returns:
      The same instance of this `AiDeploymentModificationRequest` class

  - ### getConfigurationId

    @Nonnull public String getConfigurationId()
    ID of the configuration
    Returns:
      configurationId The configurationId of this `AiDeploymentModificationRequest` instance.

  - ### setConfigurationId

    public void setConfigurationId(@Nullable String configurationId)
    Set the configurationId of this `AiDeploymentModificationRequest` instance.
    Parameters:
      `configurationId` - ID of the configuration

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `AiDeploymentModificationRequest`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `AiDeploymentModificationRequest` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `AiDeploymentModificationRequest` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `AiDeploymentModificationRequest` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static AiDeploymentModificationRequest create()
    Create a new `AiDeploymentModificationRequest` instance. No arguments are required.